Arvados - Bug #16856

Pass through --disable-color
09/21/2020 01:47 PM - Peter Amstutz

Status: Resolved Start date:
Priority: Normal Due date:
Assigned To: Peter Amstutz % Done:

Category: CWL Estimated time:

Target version: 2020-09-23 Sprint

09/21/2020

100%
0.00 hour

Description

Subtasks:
Task # 16863: Review 16856-acr-disable-color

Resolved

Related issues:
Related to Arvados - Bug #16857: Bad error reporting of missing container image

Resolved

Associated revisions

Revision 8d80af89 - 09/22/2020 05:12 PM - Peter Amstutz
Merge branch '16856-acr-disable-color' closes #16856

Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz@curii.com>

History

#1 - 09/21/2020 04:03 PM - Peter Amstutz

- Assigned To set to Peter Amstutz

#2 - 09/21/2020 07:59 PM - Peter Amstutz

- Status changed from New to In Progress

#3 - 09/21/2020 09:03 PM - Peter Amstutz

16856-acr-disable-color @ arvados|68eb70370ccf2ec7879146f3980e05019d2b67at

A few quality-of-life improvements to arvados-cwl-runner:

o Explicitly disable color logging for submitted containers, since workbench doesn't understand color codes.
* Move a message "Using empty collection" to debug level since it is entirely meaningless to regular users.

¢ Explicitly log the cluster a-c-r is submitting to.

¢ Tweak logging of container submit errors so they are displayed better in workbench.

https://ci.arvados.org/view/Developer/job/developer-run-tests/2108/

#4 - 09/21/2020 09:07 PM - Peter Amstutz

- Related to Bug #16857: Bad error reporting of missing container image added

#5 - 09/22/2020 02:58 PM - Lucas Di Pentima
This LGTM, thanks!

#6 - 09/22/2020 05:14 PM - Peter Amstutz

- Status changed from In Progress to Resolved

Applied in changeset arvados|8d80af898f936d472e6240793be6090937febf64.

#7 - 10/07/2020 02:12 AM - Peter Amstutz

- Release set to 25

12/04/2021
